<?
session_name('portal_absa');
session_start();
require "../conexion/conectar.php";
require "../libs/funciones.php";
$conexion = new CONDB();
$conexion->conectar();
?>

<script>
var banMuestra=false;

function muestraFiltros(id){
	if(banMuestra){
		// $j_6("#filtrosBusca,#filtrosBusca2").hide();
		$j_6("#filtrosBusca").hide();
		$j_6(id).val("+ Filtros");
		banMuestra=false;
	}else{
		// $j_6("#filtrosBusca,#filtrosBusca2").show();
		$j_6("#filtrosBusca").show();
                $j_6(id).val("- Filtros");
		banMuestra=true;
	}
}
$j_6(document).ready(function() {
		$j_6('#form, #fat, #FormBuscaDoce').submit(function() {
			$j_6('body').addClass("loading");
			$j_6.ajax({
				type: 'POST',
				url: $j_6(this).attr('action'),
				data: $j_6(this).serialize(),
				beforeSend:function(){
					if($j_6("#busca_emisor").val() == ""){
						$j_6.messager.alert("Error","Debe de seleccionar el emisor.","error");
						return false;
					}
				},
				success: function(data) {
					$j_6('#doceGrid').html(data);
					$j_6('body').removeClass("loading");
				}
			})
			
			return false;
		});
		
	$j_6('#busca_fecha_doceI').mask("9999-99-99",{placeholder:"_"});
	$j_6('#busca_fecha_doceF').mask("9999-99-99",{placeholder:"_"});
	
});
$j_6(function() {
	$j_6( "#busca_fecha_doceI" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	$j_6( "#busca_fecha_doceF" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	
	$j_6( "#busca_fecha_doceI" ).datepicker("option", "dateFormat", "yy-mm-dd");
	$j_6( "#busca_fecha_doceF" ).datepicker("option", "dateFormat", "yy-mm-dd");
});
var statusOcultarMostrarBuscar = false;
function ocultarMostrarBuscar(obj){
	if(statusOcultarMostrarBuscar == false){
		obj.src="Imagenes/mostrarBuscar.png";
		statusOcultarMostrarBuscar = true;
		$j_6("#formularioRecibedoce").hide();
		obj.title="Mostrar busqueda";
	}else{
		obj.src="Imagenes/ocultarBuscar.png";
		statusOcultarMostrarBuscar = false;
		$j_6("#formularioRecibedoce").show();
		obj.title="Ocultar busqueda";
	}
}

var fecha = new Date();
fecha.setDate(fecha.getDate() - 29);
var FechaFormateada = fecha.getFullYear()+"-"+("0" + (fecha.getMonth() + 1)).slice(-2)+"-"+("0" + fecha.getDate()).slice(-2);
$j_6('#busca_fecha_doceI').val(FechaFormateada);
</script>
<style>
.formInputBusca{
	font-size: 12px; 
	border-color: #fbca93;
        width: 140px;
}
.formInputBusca[readonly=true]{
	font-size: 12px; 
	border-color: #fbca93;
	background-color: #d4cab5;
}
.formTD{
    border: 1px solid #EEEEEE; 
    padding: 10px 10px 10px 10px;
    
}
</style>
<table width="100%" bgcolor="white">
    <tr>
        <td valign="top" class="txt_logindat" align="left" width="100%"><center><h2>Notificaci&oacute;n de Pago&nbsp;&nbsp;<img onclick="ocultarMostrarBuscar(this)" title="Ocultar busqueda" style="cursor:pointer" src="Imagenes/ocultarBuscar.png" width="18" height="18"></h2></center></td>
    </tr>
	<tr>
        <td id="formularioRecibedoce">
			<form action="grids/doce.php" name="FormBuscaDoce" id="FormBuscaDoce">
				<table cellspacing="0"  width="100%" bgcolor="white">
					<tr>
						<td class="formTD" width="5%">
								<font style="font-size: 12px; border-color: #fbca93">Emisor:</font>
						</td>
						<td class="formTD" width="5%" colspan="5">
							<?if(strtoupper(trim($_SESSION['usuario_p_prov_absa'])) == "ADMIN"){?>
								<select name="busca_emisor" name="busca_emisor" class="formInputBusca" style="width: 265px">
								<!--<option value="">Seleccione el emisor</option>-->
								<?
									$query="select rfc from emisor";
									$resultado=mysqli_query($conexion->CONEXION,$query);
									while($temp=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
									{?>
									<option value="<?=$temp["rfc"];?>" <? if($_SESSION['RFC_RECEPTOR_PORTAL'] == $temp["rfc"]){echo "selected";}?>><? echo $temp["rfc"];?></option>
									<?
									}
								mysqli_free_result($resultado);
								?>
								</select>
							<?}else{?>
								<input type="text" class="formInputBusca" name="busca_emisor" id="busca_emisor" value="<?=$_SESSION['RFC_RECEPTOR_PORTAL']?>" readonly="true">
							<?}?>
						</td>
					</tr>
					<tr>
						<td class="formTD" width="5%">
								<font style="font-size: 12px; border-color: #fbca93">Serie:</font>
						</td>
						<td class="formTD" width="10%">
								<input type="text" name="busca_serie_doceI" size="15" maxlength="10" class="formInputBusca"/>
								<font style="font-size: 12px; border-color: #fbca93">Sin Serie:</font>
								<input type="checkbox" value="1" name="sinserie_check_doce"/>
						</td>
						<td class="formTD" width="5%">
								<font style="font-size: 12px; border-color: #fbca93">Folio:</font>
						</td>
						<td class="formTD" width="10%">
								<input class="formInputBusca" type="text" style="text-align: right" size="15" name="busca_folio_doceI" maxlength="10"/> a
								<input class="formInputBusca" type="text" style="text-align: right" size="15" name="busca_folio_doceF" maxlength="10"/>
						</td>
						<td class="formTD" width="5%">
								<font style="font-size: 12px; border-color: #fbca93">Estado:</font>
						</td>
						<td class="formTD" width="10%">
							<select class="formInputBusca" id="status" name="status" style="width: 250px">
									<option value="">Todos</option>
									<?
										for($i=0; $i <=20; $i++){
											if($etiqueta = getINI("MOD_NP_STATUS_".$i."=","../config.ini")){
												if($etiqueta != ""){?>
													<option value="<?=$etiqueta?>"><?=$etiqueta?></option>
												<?}
											}
										}
									?>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formTD" width="5%">
								<font style="font-size: 12px; border-color: #fbca93">Fecha:</font>
						</td>
						<td class="formTD">
								<input class="formInputBusca" type="text" style="text-align: right" size="15" name="busca_fecha_doceI" id="busca_fecha_doceI" maxlength="10"/> a
								<input class="formInputBusca" type="text" style="text-align: right" size="15" name="busca_fecha_doceF" id="busca_fecha_doceF" maxlength="10"/>
						</td>
					</tr>
					<tr id="filtrosBusca">
						<td class="formTD">
								<font style="font-size: 12px; border-color: #fbca93">Documento:</font>
						</td>
						<td class="formTD">
							<select name="busca_documento_doce" style="width: 200px" class="formInputBusca">
									<option value="">Seleccione el Documento</option>
									<?
									$resultado=mysqli_query($conexion->CONEXION,"select distinct(tipodocto) from tdoctos");
									while($temp=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
									{
									?>
									<option value="<? echo $temp["tipodocto"];?>"><? echo $temp["tipodocto"];?></option>
									<?
									}
									mysqli_free_result($resultado);
									?>
							</select>
						</td>
						<td class="formTD">
							<font style="font-size: 12px; border-color: #fbca93">Nombre Receptor:</font>
						</td>
						<td class="formTD">
							<input type="text" name="busca_nombre_doce" id="busca_nombre_doce" class="formInputBusca">
						</td>
						<td class="formTD">
							<font style="font-size: 12px; border-color: #fbca93">RFC Receptor:</font>
						</td>
						<td class="formTD">
							<input type="text" name="busca_rfc_doce" id="busca_rfc_doce" class="formInputBusca">
						</td>
					</tr>
					<!--<tr id="filtrosBusca2">
						<td class="formTD">
							<font style="font-size: 12px; border-color: #fbca93">UUID:</font>
						</td>
						<td class="formTD">
							<input type="text" name="uuid_doce" id="uuid_doce" class="formInputBusca">
						</td>
					</tr>-->
					<tr>
						<td colspan="2">
							<input type="button" onclick="muestraFiltros(this);" value="+ Filtros"/>
							<input type="button" onclick="document.getElementById('FormBuscaDoce').reset();" value="Limpiar Filtros"/>
							<input style="border:none" type="image" src="Imagenes/search.png" title="Buscar" width="24" height="24"/>
						</td>
					</tr>
				</table>
			</form>
		</td>
	</tr>
</table>
	<div id="doceGrid"></div>
	<!--<script>$j_6("#filtrosBusca,#filtrosBusca2").hide();</script>-->
	<script>$j_6("#filtrosBusca").hide();</script>